## nvidia-graphics-modules 195.36.31+2

=== debian/changelog ===
nvidia-graphics-modules (195.36.31+2) unstable; urgency=low

  [ Andreas Beckmann ]
  * debian/rules{,.defs}: Simplify disabling kernel flavors.
  * debian/rules: Use dpkg-query instead of manually parsing package versions
    from changelogs.
  * debian/rules: Stop passing KVERS to the module build.  The module
    build system will derive this information from the kernel headers.
  * Add myself to Uploaders.

  [ Russ Allbery ]
  * Drop Xen and OpenVZ kernel module flavors after discussion with the
    kernel team.  The ABIs for these kernels are not stable; there's no
    guarantee that prebuilt modules will continue working after kernel
    upgrades even if the ABI number doesn't change.

 -- Russ Allbery <rra@debian.org>  Sun, 10 Oct 2010 12:03:02 -0700

nvidia-graphics-modules (195.36.31+1) unstable; urgency=low

  [ Andreas Beckmann ]
  * Build for 2.6.32-5.  (Closes: #580141)
  * Use nvidia-kernel-source 195.36.31.
  * Correct the Vcs-* URLs.
  * The packages built from nvidia-kernel-source now embed the version of the
    linux-headers-* package in their version. Therefore the dummy packages
    generated from our debian/control need to be removed in order not to
    include in the .changes file two copies of a package with just small
    differences in the version number.
  * Use only NVIDIA_VERSION instead of NVIDIA_CURRENT and NVIDIA_NEXT.
  * Make the meta package dependency on a module package versioned and require
    NVIDIA_VERSION at least.
  * Add support for building legacy modules.
  * Embed the version numbers of nvidia-graphics-modules, nvidia-kernel-source
    (without duplicating the NVIDIA version) and linux-headers-* in the
    version of the binary module packages.
  * Drop Build-Depends: module-assistant.
  * Since we build modules for official linux-image packages only, raise the
    relationship of the module package with the corresponding
    linux-image-KVERS to Depends.

  [ Russ Allbery ]
  * Update standards version to 3.9.1 (no changes required).

 -- Russ Allbery <rra@debian.org>  Wed, 25 Aug 2010 01:41:50 -0700

nvidia-graphics-modules (190.53+2) unstable; urgency=high

  [ Russ Allbery ]
  * Set urgency to high to speed migration of the new drivers, since the
    packages in testing are not usable with the X server or kernel in
    testing.
  * Updates amd64 modules to the current NVIDIA version in unstable.
    (Closes: #526236, #512269, #578590)

  [ Andreas Beckmann ]
  * use control.template from nvidia-kernel-source
  * keep the original changelog from nvidia-kernel-source as
    changelog.nvidia-kernel-source
  * debian/rules
    - improve readability of binary-arch target
    - stop special handling of the amd64 package, the module source already
      cares for linking with the correct binary object file
    - split from binary-arch target: binary-arch-meta, binary-module-%
    - move configurable settings to debian/rules.defs
  * create a common module building package for i386 and amd64
  * rename source package to nvidia-graphics-modules
  * add debian/control.source and debian/control.flavor as templates for
    generating debian/control
  * debian/rules: add debian/control-real target to update debian/control and
    debian/control.md5sum
  * build modules for more flavors: openvz, vserver, xen
  * the following flavors are being built now:
    - i386: 486, 686, 686-bigmem, amd64, openvz-686, vserver-686,
      vserver-686-bigmem, xen-686 (Closes: #381090)
    - amd64: amd64, openvz-amd64, vserver-amd64, xen-amd64

 -- Russ Allbery <rra@debian.org>  Sat, 24 Apr 2010 23:28:34 -0700

nvidia-graphics-modules-i386 (190.53+1) unstable; urgency=high

  [ Russ Allbery ]
  * Set urgency to high to speed migration of the new drivers, since the
    packages in testing are not usable with the X server or kernel in
    testing.
  * Build for 2.6.32-4.  (Closes: #536763, #551571)
  * Use nvidia-kernel-source 190.53.
  * Drop the metapackage dependencies on the corresponding kernel
    metapackages.  The specific modules will already depend on the
    specific corresponding kernels, and since we may not always have
    builds for the kernel version tracked by the metapackage, we should
    not make the user upgrade to use our metapackages.
  * Build arch-dependent metapackages in binary-arch, not binary-indep.
  * General debian/rules cleanup.
    - Use dpkg-parsechangelog instead of head -1 | sed.
    - Merge unpack and build rules.
    - Remove commented-out code, unused variables, and unnecessary
      commands.
    - Wrap and reformat for readability.
  * General debian/control cleanup.
    - Add ${misc:Depends} to the dependencies of all packages.
    - Wrap Build-Depends.
    - Avoid Lintian warnings for the dummy entries for the binary module
      packages.
    - Hopefully improve the package descriptions for the metapackages.
  * Update the control template used for module builds.
    - Hopefully improve the package long description and include the
      specific linux-image package name in it.
    - Add the team as maintainer and move Randall to Uploaders.
    - Add myself to Uploaders.
    - Build-depend on debhelper 7.
  * Rewrite debian/copyright using the new DEP-5 format.
  * Remove the NVIDIA license from debian/copyright.  There's nothing in
    this source package copyright by NVIDIA; everything here is covered by
    the GPL.  Add an explanation that the generated binary packages
    contain material from nvidia-kernel-source under another license.
  * Add an explanation for the non-free placement of this package to
    debian/copyright as requested by Policy 12.5.
  * Add Vcs-Svn and Vcs-Browser control fields.
  * Remove obsolete Emacs variables from debian/changelog.
  * Update to debhelper compatibility level V7.
  * Update standards version to 3.8.4.
  * Set source package format to 3.0 (native).
  * Add myself to Uploaders.

  [ Andreas Beckmann ]
  * Depend on module-assistant, which is required by the current

