=== debian/control ===
Source: nvidia-graphics-modules
Section: non-free/kernel
Priority: optional
Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
Uploaders:
 Russ Allbery <rra@debian.org>,
 Andreas Beckmann <debian@abeckmann.de>,
Build-Depends: debhelper (>= 7),
 linux-headers-2.6.32-5-amd64 [i386 amd64], linux-headers-2.6.32-5-486 [i386], linux-headers-2.6.32-5-686 [i386], linux-headers-2.6.32-5-686-bigmem [i386], linux-headers-2.6.32-5-vserver-686 [i386], linux-headers-2.6.32-5-vserver-686-bigmem [i386], linux-headers-2.6.32-5-vserver-amd64 [amd64],
 nvidia-kernel-source (>= 195.36.31), nvidia-kernel-source (<< 195.36.31.0~),
Standards-Version: 3.9.1
Homepage: http://www.nvidia.com/
Vcs-Svn: svn://svn.debian.org/svn/pkg-nvidia/packages/nvidia-graphics-modules/trunk
Vcs-Browser: http://svn.debian.org/wsvn/pkg-nvidia/packages/nvidia-graphics-modules/

Package: nvidia-kernel-2.6-amd64
Architecture: i386 amd64
Depends: ${misc:Depends}, nvidia-kernel-2.6.32-5-amd64 (>= 195.36.31)
Description: NVIDIA kernel module for Linux 2.6 (amd64 flavor)
 This is a metapackage that will depend on the latest version of the
 NVIDIA kernel module for the Linux 2.6 kernel series (amd64 flavor).
 Install this package to automatically install the latest NVIDIA module
 when new versions of the kernel are released.

Package: nvidia-kernel-2.6.32-5-amd64
Architecture: i386 amd64
Depends: ${misc:Depends}
Description: NVIDIA binary kernel module (amd64 flavor)
 This is a dummy control entry (amd64 flavor).
 The description in the final package will come from its control.template.

Package: nvidia-kernel-2.6-486
Architecture: i386
Depends: ${misc:Depends}, nvidia-kernel-2.6.32-5-486 (>= 195.36.31)
Description: NVIDIA kernel module for Linux 2.6 (486 flavor)
 This is a metapackage that will depend on the latest version of the
 NVIDIA kernel module for the Linux 2.6 kernel series (486 flavor).
 Install this package to automatically install the latest NVIDIA module
 when new versions of the kernel are released.

Package: nvidia-kernel-2.6.32-5-486
Architecture: i386
Depends: ${misc:Depends}
Description: NVIDIA binary kernel module (486 flavor)
 This is a dummy control entry (486 flavor).
 The description in the final package will come from its control.template.

Package: nvidia-kernel-2.6-686
Architecture: i386
Depends: ${misc:Depends}, nvidia-kernel-2.6.32-5-686 (>= 195.36.31)
Description: NVIDIA kernel module for Linux 2.6 (686 flavor)
 This is a metapackage that will depend on the latest version of the
 NVIDIA kernel module for the Linux 2.6 kernel series (686 flavor).
 Install this package to automatically install the latest NVIDIA module
 when new versions of the kernel are released.

Package: nvidia-kernel-2.6.32-5-686
Architecture: i386
Depends: ${misc:Depends}
Description: NVIDIA binary kernel module (686 flavor)
 This is a dummy control entry (686 flavor).
 The description in the final package will come from its control.template.

Package: nvidia-kernel-2.6-686-bigmem
Architecture: i386
Depends: ${misc:Depends}, nvidia-kernel-2.6.32-5-686-bigmem (>= 195.36.31)
Description: NVIDIA kernel module for Linux 2.6 (686-bigmem flavor)
 This is a metapackage that will depend on the latest version of the
 NVIDIA kernel module for the Linux 2.6 kernel series (686-bigmem flavor).
 Install this package to automatically install the latest NVIDIA module
 when new versions of the kernel are released.

Package: nvidia-kernel-2.6.32-5-686-bigmem
Architecture: i386
Depends: ${misc:Depends}
Description: NVIDIA binary kernel module (686-bigmem flavor)
 This is a dummy control entry (686-bigmem flavor).
 The description in the final package will come from its control.template.

Package: nvidia-kernel-2.6-vserver-686
Architecture: i386
Depends: ${misc:Depends}, nvidia-kernel-2.6.32-5-vserver-686 (>= 195.36.31)
Description: NVIDIA kernel module for Linux 2.6 (vserver-686 flavor)
 This is a metapackage that will depend on the latest version of the
 NVIDIA kernel module for the Linux 2.6 kernel series (vserver-686 flavor).
 Install this package to automatically install the latest NVIDIA module
 when new versions of the kernel are released.

Package: nvidia-kernel-2.6.32-5-vserver-686
Architecture: i386
Depends: ${misc:Depends}
Description: NVIDIA binary kernel module (vserver-686 flavor)
 This is a dummy control entry (vserver-686 flavor).
 The description in the final package will come from its control.template.

Package: nvidia-kernel-2.6-vserver-686-bigmem
Architecture: i386
Depends: ${misc:Depends}, nvidia-kernel-2.6.32-5-vserver-686-bigmem (>= 195.36.31)
Description: NVIDIA kernel module for Linux 2.6 (vserver-686-bigmem flavor)
 This is a metapackage that will depend on the latest version of the
 NVIDIA kernel module for the Linux 2.6 kernel series (vserver-686-bigmem flavor).
 Install this package to automatically install the latest NVIDIA module
 when new versions of the kernel are released.

Package: nvidia-kernel-2.6.32-5-vserver-686-bigmem
Architecture: i386
Depends: ${misc:Depends}
Description: NVIDIA binary kernel module (vserver-686-bigmem flavor)
 This is a dummy control entry (vserver-686-bigmem flavor).
 The description in the final package will come from its control.template.

Package: nvidia-kernel-2.6-vserver-amd64
Architecture: amd64
Depends: ${misc:Depends}, nvidia-kernel-2.6.32-5-vserver-amd64 (>= 195.36.31)
Description: NVIDIA kernel module for Linux 2.6 (vserver-amd64 flavor)
 This is a metapackage that will depend on the latest version of the
 NVIDIA kernel module for the Linux 2.6 kernel series (vserver-amd64 flavor).
 Install this package to automatically install the latest NVIDIA module
 when new versions of the kernel are released.

Package: nvidia-kernel-2.6.32-5-vserver-amd64
Architecture: amd64
Depends: ${misc:Depends}
Description: NVIDIA binary kernel module (vserver-amd64 flavor)
 This is a dummy control entry (vserver-amd64 flavor).
 The description in the final package will come from its control.template.
