## nvidia-graphics-modules 195.36.31+4

=== debian/changelog ===
nvidia-graphics-modules (195.36.31+4) stable; urgency=low

  * Rebuild to fix CVE-2012-4225 (see #684781).
  * Bump B-D to the fixed nvidia-kernel-source (>= 195.36.31-6squeeze2).

 -- Andreas Beckmann <debian@abeckmann.de>  Sat, 08 Sep 2012 02:19:50 +0200

nvidia-graphics-modules (195.36.31+3) proposed-updates; urgency=low

  [ Andreas Beckmann ]
  * Rebuild for security fixes.  See #609338, CVE-2012-0946.
  * Bump B-D to the fixed nvidia-kernel-source (>= 195.36.31-6squeeze1).
  * Move VCS from SVN to GIT:
    git://git.debian.org/git/pkg-nvidia/nvidia-graphics-modules.git

 -- Andreas Beckmann <debian@abeckmann.de>  Thu, 05 Jul 2012 16:15:04 +0200
