=== debian/control ===
--- 
+++ 
@@ -7,11 +7,11 @@
  Andreas Beckmann <debian@abeckmann.de>,
 Build-Depends: debhelper (>= 7),
  linux-headers-2.6.32-5-amd64 [i386 amd64], linux-headers-2.6.32-5-486 [i386], linux-headers-2.6.32-5-686 [i386], linux-headers-2.6.32-5-686-bigmem [i386], linux-headers-2.6.32-5-vserver-686 [i386], linux-headers-2.6.32-5-vserver-686-bigmem [i386], linux-headers-2.6.32-5-vserver-amd64 [amd64],
- nvidia-kernel-source (>= 195.36.31), nvidia-kernel-source (<< 195.36.31.0~),
+ nvidia-kernel-source (>= 195.36.31-6squeeze2), nvidia-kernel-source (<< 195.36.31.0~),
 Standards-Version: 3.9.1
 Homepage: http://www.nvidia.com/
-Vcs-Svn: svn://svn.debian.org/svn/pkg-nvidia/packages/nvidia-graphics-modules/trunk
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-nvidia/packages/nvidia-graphics-modules/
+Vcs-Git: git://git.debian.org/git/pkg-nvidia/nvidia-graphics-modules.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-nvidia/nvidia-graphics-modules.git
 
 Package: nvidia-kernel-2.6-amd64
 Architecture: i386 amd64
