## nvidia-graphics-modules 304.131+3.2.0+1

=== debian/changelog ===
nvidia-graphics-modules (304.131+3.2.0+1) wheezy; urgency=medium

  * Use nvidia-kernel-source 304.131.
  * Upload to wheezy.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 15 Dec 2015 23:05:01 +0100

nvidia-graphics-modules (304.128+3.2.0+1) wheezy; urgency=medium

  * Use nvidia-kernel-source 304.128.
  * Upload to wheezy.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 07 Nov 2015 21:02:30 +0100

nvidia-graphics-modules (304.125+3.2.0+1) wheezy; urgency=medium

  * Use nvidia-kernel-source 304.125.
  * Update Vcs-* URLs.
  * Upload to wheezy.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 07 Jan 2015 20:37:21 +0100

nvidia-graphics-modules (304.117+3.2.0+1) wheezy; urgency=low

  * Use nvidia-kernel-source 304.117.
  * Change versioning scheme to include a part (3.x) for the kernel.
  * Use canonical Vcs-* URLs.
  * Upload to wheezy.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 11 Apr 2014 15:04:29 +0200

nvidia-graphics-modules (304.88+1) unstable; urgency=low

  * Use nvidia-kernel-source 304.88.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 03 Apr 2013 13:23:20 +0200

nvidia-graphics-modules (304.84+1) unstable; urgency=low

  * Use nvidia-kernel-source 304.84.
  * Update my email address and remove DMUA.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 16 Mar 2013 14:45:12 +0100

nvidia-graphics-modules (304.64+1) unstable; urgency=low

  * Use nvidia-kernel-source 304.64.

 -- Andreas Beckmann <debian@abeckmann.de>  Thu, 08 Nov 2012 20:07:02 +0100

nvidia-graphics-modules (304.60+1) unstable; urgency=low

  * Use nvidia-kernel-source 304.60.

 -- Andreas Beckmann <debian@abeckmann.de>  Sun, 04 Nov 2012 21:28:28 +0100

nvidia-graphics-modules (304.48+2) unstable; urgency=low

  * Build for kernel 3.2.0-4.

 -- Andreas Beckmann <debian@abeckmann.de>  Wed, 26 Sep 2012 09:56:16 +0200

nvidia-graphics-modules (304.48+1) unstable; urgency=low

  * Use nvidia-kernel-source 304.48.

 -- Andreas Beckmann <debian@abeckmann.de>  Thu, 13 Sep 2012 10:42:12 +0200

nvidia-graphics-modules (304.43+1) unstable; urgency=low

  * Use nvidia-kernel-source 304.43.

 -- Andreas Beckmann <debian@abeckmann.de>  Mon, 10 Sep 2012 01:41:00 +0200

nvidia-graphics-modules (304.37+1) unstable; urgency=low

  * Use nvidia-kernel-source 304.37.
  * Disable pre-built modules for the RT flavor as that is not considered
    to have a stable ABI.
    (https://lists.debian.org/debian-kernel/2012/08/msg00153.html)

 -- Andreas Beckmann <debian@abeckmann.de>  Thu, 23 Aug 2012 11:31:56 +0200

nvidia-graphics-modules (302.17+2) unstable; urgency=low

  * Rebuild against linux 3.2.23-1.  (Closes: #683365)

 -- Andreas Beckmann <debian@abeckmann.de>  Tue, 31 Jul 2012 12:10:33 +0200

nvidia-graphics-modules (302.17+1) unstable; urgency=low

  [ Andreas Beckmann ]
  * Use nvidia-kernel-source 302.17.
  * Build for kernel 3.2.0-3.  (Closes: #614089)
    - Disable building the OpenVZ, Vserver, and Xen kernel flavors.
    - Add support for the new RT flavor.
  * Move VCS from SVN to GIT:
    git://git.debian.org/git/pkg-nvidia/nvidia-graphics-modules.git
  * Update standards version to 3.9.3 (no changes required).
  * Update debian/copyright for copyright-format 1.0.
  * Extract NVIDIA_VERSION from debian/changelog, there is no need to re-enter
    it in debian/rules.defs.
  * Rebuild debian/control if NVIDIA_VERSION changes.
  * Add SOURCE_MIN_REV substitution variable to (optionally) bump the B-D on
    nvidia-kernel-source to a specific revision which contains a patch/fix/...
  * Remove '-2.6' from metapackage names, add transitional packages.
  * Rewrite debian/{rules,control.{source,flavor}} to be more generic and
    easier to adapt for other packages.
  * Set XS-Autobuild: yes.

  [ Russ Allbery ]
  * Add DM-Upload-Allowed: yes.

 -- Andreas Beckmann <debian@abeckmann.de>  Tue, 26 Jun 2012 11:01:35 +0200
