=== debian/control ===
Source: nvidia-graphics-modules
Section: non-free/kernel
Priority: optional
Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
Uploaders:
 Russ Allbery <rra@debian.org>,
 Andreas Beckmann <anbe@debian.org>,
Build-Depends: debhelper (>= 8),
 linux-headers-3.2.0-4-amd64 [i386 amd64], linux-headers-3.2.0-4-486 [i386], linux-headers-3.2.0-4-686-pae [i386],
 nvidia-kernel-source (>= 304.131), nvidia-kernel-source (<< 304.131.~),
Standards-Version: 3.9.3
Homepage: http://www.nvidia.com/
Vcs-Git: git://anonscm.debian.org/pkg-nvidia/nvidia-graphics-modules.git -b wheezy
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-nvidia/nvidia-graphics-modules.git
XS-Autobuild: yes

Package: nvidia-kernel-amd64
Architecture: i386 amd64
Depends: ${misc:Depends}, nvidia-kernel-3.2.0-4-amd64 (>= 304.131)
Breaks: nvidia-kernel-2.6-amd64 (<< 295)
Replaces: nvidia-kernel-2.6-amd64 (<< 295)
Description: NVIDIA kernel module for Linux (amd64 flavor)
 This is a metapackage that will depend on the latest version of the
 NVIDIA kernel module for the Linux kernel series (amd64 flavor).
 Install this package to automatically install the latest NVIDIA module
 when new versions of the kernel are released.

Package: nvidia-kernel-2.6-amd64
Section: non-free/oldlibs
Priority: extra
Architecture: i386 amd64
Depends: ${misc:Depends}, nvidia-kernel-amd64
Description: NVIDIA kernel module for Linux (amd64 transitional package)
 This is a transitional package to aid upgrading to the new metapackage for
 the NVIDIA kernel module for Linux (amd64 flavor).
 It can be savely removed.

Package: nvidia-kernel-3.2.0-4-amd64
Architecture: i386 amd64
Depends: ${misc:Depends}
Description: NVIDIA binary kernel module (amd64 flavor)
 This is a dummy control entry (amd64 flavor).
 The description in the final package will come from its control.template.

Package: nvidia-kernel-486
Architecture: i386
Depends: ${misc:Depends}, nvidia-kernel-3.2.0-4-486 (>= 304.131)
Breaks: nvidia-kernel-2.6-486 (<< 295)
Replaces: nvidia-kernel-2.6-486 (<< 295)
Description: NVIDIA kernel module for Linux (486 flavor)
 This is a metapackage that will depend on the latest version of the
 NVIDIA kernel module for the Linux kernel series (486 flavor).
 Install this package to automatically install the latest NVIDIA module
 when new versions of the kernel are released.

Package: nvidia-kernel-2.6-486
Section: non-free/oldlibs
Priority: extra
Architecture: i386
Depends: ${misc:Depends}, nvidia-kernel-486
Description: NVIDIA kernel module for Linux (486 transitional package)
 This is a transitional package to aid upgrading to the new metapackage for
 the NVIDIA kernel module for Linux (486 flavor).
 It can be savely removed.

Package: nvidia-kernel-3.2.0-4-486
Architecture: i386
Depends: ${misc:Depends}
Description: NVIDIA binary kernel module (486 flavor)
 This is a dummy control entry (486 flavor).
 The description in the final package will come from its control.template.

Package: nvidia-kernel-686-pae
Architecture: i386
Depends: ${misc:Depends}, nvidia-kernel-3.2.0-4-686-pae (>= 304.131)
Breaks: nvidia-kernel-2.6-686-pae (<< 295)
Replaces: nvidia-kernel-2.6-686-pae (<< 295)
Description: NVIDIA kernel module for Linux (686-pae flavor)
 This is a metapackage that will depend on the latest version of the
 NVIDIA kernel module for the Linux kernel series (686-pae flavor).
 Install this package to automatically install the latest NVIDIA module
 when new versions of the kernel are released.

Package: nvidia-kernel-2.6-686-pae
Section: non-free/oldlibs
Priority: extra
Architecture: i386
Depends: ${misc:Depends}, nvidia-kernel-686-pae
Description: NVIDIA kernel module for Linux (686-pae transitional package)
 This is a transitional package to aid upgrading to the new metapackage for
 the NVIDIA kernel module for Linux (686-pae flavor).
 It can be savely removed.

Package: nvidia-kernel-3.2.0-4-686-pae
Architecture: i386
Depends: ${misc:Depends}
Description: NVIDIA binary kernel module (686-pae flavor)
 This is a dummy control entry (686-pae flavor).
 The description in the final package will come from its control.template.
