## nvidia-graphics-modules 331.38+3.12+1

=== debian/changelog ===
nvidia-graphics-modules (331.38+3.12+1) experimental; urgency=medium

  * Use nvidia-kernel-source 331.38.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 25 Jan 2014 19:02:15 +0100

nvidia-graphics-modules (319.82+3.12+1) unstable; urgency=medium

  * Use nvidia-kernel-source 319.82.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 21 Jan 2014 12:40:24 +0100

nvidia-graphics-modules (319.76+3.12+1) unstable; urgency=medium

  * Build for Linux 3.12-1.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 09 Jan 2014 23:51:26 +0100

nvidia-graphics-modules (319.76+3.11+1) unstable; urgency=low

  * Use nvidia-kernel-source 319.76.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 07 Dec 2013 19:05:54 +0100

nvidia-graphics-modules (319.72+3.11+1) unstable; urgency=low

  * Build for Linux 3.11-2.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 18 Nov 2013 02:23:11 +0100

nvidia-graphics-modules (319.72+3.10+1) unstable; urgency=low

  * Use nvidia-kernel-source 319.72.
  * Change versioning scheme to include a part (3.x) for the kernel.
  * Drop kernel-2.6 transitional packages.
  * Switch to debhelper compat level 9.
  * Bump Standards-Version to 3.9.5. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 09 Nov 2013 16:10:39 +0100

nvidia-graphics-modules (319.60+1) unstable; urgency=low

  * Use nvidia-kernel-source 319.60.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 22 Oct 2013 06:31:54 +0200

nvidia-graphics-modules (304.108+2) unstable; urgency=low

  * Build for kernel 3.10-3.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 14 Sep 2013 22:02:52 +0200

nvidia-graphics-modules (304.108+1) unstable; urgency=low

  * Use nvidia-kernel-source 304.108.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 14 Sep 2013 21:50:51 +0200

nvidia-graphics-modules (304.88+22) unstable; urgency=low

  * Build for kernel 3.10-2.  (Closes: #717237)
  * Add support for source compressed with xz.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 18 Aug 2013 02:41:36 +0200

nvidia-graphics-modules (304.88+21) unstable; urgency=low

  * Build for kernel 3.9-1.  (Closes: #712767)

 -- Andreas Beckmann <anbe@debian.org>  Thu, 20 Jun 2013 13:23:30 +0200

nvidia-graphics-modules (304.88+20) unstable; urgency=low

  * Build for kernel 3.8-1.
  * Use canonical Vcs-* URLs.
  * Bump Standards-Version to 3.9.4. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 12 May 2013 15:41:56 +0200
