## nvidia-graphics-modules 331.67+3.12+1tanglu3

=== debian/changelog ===
nvidia-graphics-modules (331.67+3.12+1tanglu3) aequorea-updates; urgency=medium

  * Build for Linux 3.12-4.

 -- Jon Severinsson <jon@severinsson.net>  Sat, 19 Jul 2014 20:00:00 +0200

nvidia-graphics-modules (331.67+3.13+1) unstable; urgency=medium

  * Use nvidia-kernel-source 331.67.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 23 Apr 2014 10:55:42 +0200

nvidia-graphics-modules (331.49+3.13+1) unstable; urgency=medium

  * Build for Linux 3.13-1.  (Closes: #740200)
  * Add dummy package nvidia-kernel-dummy to prevent the prebuilt
    modules overtaking the corresponding driver when migrating to testing.
    Nothing is done to prevent the other way around, i.e. an updated driver
    without prebuilt modules available is allowed to enter testing.
    Adding dependencies to the module- or meta-packages would introduce
    superfluous or circular dependencies.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 03 Mar 2014 22:15:07 +0100

nvidia-graphics-modules (331.49+3.12+1) unstable; urgency=high

  * Use nvidia-kernel-source 331.49.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 28 Feb 2014 11:00:40 +0100
