=== debian/control ===
--- 
+++ 
@@ -6,17 +6,29 @@
  Russ Allbery <rra@debian.org>,
  Andreas Beckmann <anbe@debian.org>,
 Build-Depends: debhelper (>= 9),
- linux-headers-3.12-1-amd64 [i386 amd64], linux-headers-3.12-1-486 [i386], linux-headers-3.12-1-686-pae [i386],
- nvidia-kernel-source (>= 331.38), nvidia-kernel-source (<< 331.38.~),
+ linux-headers-3.12-4-amd64 [i386 amd64], linux-headers-3.12-4-486 [i386], linux-headers-3.12-4-686-pae [i386],
+ nvidia-kernel-source (>= 331.67), nvidia-kernel-source (<< 331.67.~),
 Standards-Version: 3.9.5
 Homepage: http://www.nvidia.com/
 Vcs-Git: git://anonscm.debian.org/pkg-nvidia/nvidia-graphics-modules.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-nvidia/nvidia-graphics-modules.git
 XS-Autobuild: yes
 
+Package: nvidia-kernel-dummy
+Architecture: amd64
+Priority: extra
+Depends: nvidia-kernel-source (>= 331.67), ${misc:Depends}
+Description: NVIDIA kernel module for Linux 2.6 (dummy package)
+ This dummy package exists solely to ensure that the prebuilt modules do not
+ migrate to testing before the corresponding driver is available. Nothing is
+ done to prevent the other way around, i.e. an updated driver without prebuilt
+ modules available is allowed to enter testing.
+ .
+ It is not needed to install this package on any machine.
+
 Package: nvidia-kernel-amd64
 Architecture: i386 amd64
-Depends: ${misc:Depends}, nvidia-kernel-3.12-1-amd64 (>= 331.38)
+Depends: ${misc:Depends}, nvidia-kernel-3.12-4-amd64 (>= 331.67)
 Conflicts: nvidia-kernel-2.6-amd64
 Replaces: nvidia-kernel-2.6-amd64
 Description: NVIDIA kernel module for Linux (amd64 flavor)
@@ -25,7 +37,7 @@
  Install this package to automatically install the latest NVIDIA module
  when new versions of the kernel are released.
 
-Package: nvidia-kernel-3.12-1-amd64
+Package: nvidia-kernel-3.12-4-amd64
 Architecture: i386 amd64
 Depends: ${misc:Depends}
 Description: NVIDIA binary kernel module (amd64 flavor)
@@ -34,7 +46,7 @@
 
 Package: nvidia-kernel-486
 Architecture: i386
-Depends: ${misc:Depends}, nvidia-kernel-3.12-1-486 (>= 331.38)
+Depends: ${misc:Depends}, nvidia-kernel-3.12-4-486 (>= 331.67)
 Conflicts: nvidia-kernel-2.6-486
 Replaces: nvidia-kernel-2.6-486
 Description: NVIDIA kernel module for Linux (486 flavor)
@@ -43,7 +55,7 @@
  Install this package to automatically install the latest NVIDIA module
  when new versions of the kernel are released.
 
-Package: nvidia-kernel-3.12-1-486
+Package: nvidia-kernel-3.12-4-486
 Architecture: i386
 Depends: ${misc:Depends}
 Description: NVIDIA binary kernel module (486 flavor)
@@ -52,7 +64,7 @@
 
 Package: nvidia-kernel-686-pae
 Architecture: i386
-Depends: ${misc:Depends}, nvidia-kernel-3.12-1-686-pae (>= 331.38)
+Depends: ${misc:Depends}, nvidia-kernel-3.12-4-686-pae (>= 331.67)
 Conflicts: nvidia-kernel-2.6-686-pae
 Replaces: nvidia-kernel-2.6-686-pae
 Description: NVIDIA kernel module for Linux (686-pae flavor)
@@ -61,7 +73,7 @@
  Install this package to automatically install the latest NVIDIA module
  when new versions of the kernel are released.
 
-Package: nvidia-kernel-3.12-1-686-pae
+Package: nvidia-kernel-3.12-4-686-pae
 Architecture: i386
 Depends: ${misc:Depends}
 Description: NVIDIA binary kernel module (686-pae flavor)
