=== debian/rules ===
--- 
+++ 
@@ -59,7 +59,7 @@
 build-arch: build-stamp
 build-indep:
 build-stamp: debian/control
-	tar jxf /usr/src/$(SOURCE).tar.bz2
+	tar xfJ /usr/src/$(SOURCE).tar.xz
 	sed -i \
 	    -e '/^Source:/s/.*/Source: $(THIS_PACKAGE)/' \
 	    -e '/^Recommends:/s/linux-image-#KVERS#//g' \
